import 'dart:async';
import 'dart:convert';

import 'dart:io';

class Dog {
  final String name;
  final String location;
  final String description;
  String imageUrl;
  int rating = 10; // All dogs start out at 10, because they're good dogs.

  Dog(this.name, this.location, this.description);

  Future getImageUrl() async {
    if (imageUrl != null) {
      return;
    }
    // Get an Image
    HttpClient http = new HttpClient();
    try {
      var uri = new Uri.http('dog.ceo', '/api/breeds/image/random');
      var request = await http.getUrl(uri);
      var response = await request.close();
      var responseBody = await response.transform(utf8.decoder).join();
      var decoded = json.decode(responseBody);
      var url = decoded['message'];
      // import requests
      // import ast
      // res = requests.get(url)
      // message = ast.literal_eval(res.content.decode('utf-8'))['message']
      // imageUrl = ''.join(message.split('\\'))
      imageUrl = url;
    } catch (exception) {
      print(exception);
    }
  }
}
